List conversations
curl --request GET \
--url https://api.itellico.ai/v1/accounts/{account_id}/conversations \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.itellico.ai/v1/accounts/{account_id}/conversations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.itellico.ai/v1/accounts/{account_id}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.itellico.ai/v1/accounts/{account_id}/conversations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.itellico.ai/v1/accounts/{account_id}/conversations")
.header("X-API-Key", "<api-key>")
.asString();
{
"count": 123,
"items": [
{
"conversation_id": "<string>",
"type": "phone",
"status": "in_progress",
"start_timestamp": "2023-11-07T05:31:56Z",
"direction": "inbound",
"agent_id": "<string>",
"agent_name": "<string>",
"phone_number_id": "<string>",
"phone_number": "<string>",
"contact_number": "<string>",
"duration_seconds": 1,
"messages": [
{
"message": "<string>",
"role": "user",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"capture": {
"recording_url": "<string>"
}
}
]
}{
"code": "not_found",
"detail": "Agent with UUID 123e4567-e89b-12d3-a456-426614174000 does not exist",
"message": "Resource not found"
}{
"code": "not_found",
"detail": "Agent with UUID 123e4567-e89b-12d3-a456-426614174000 does not exist",
"message": "Resource not found"
}{
"code": "not_found",
"detail": "Agent with UUID 123e4567-e89b-12d3-a456-426614174000 does not exist",
"message": "Resource not found"
}{
"code": "not_found",
"detail": "Agent with UUID 123e4567-e89b-12d3-a456-426614174000 does not exist",
"message": "Resource not found"
}Conversations
List conversations
Paginated list of conversations for the specified account and its subaccounts.
GET
/
v1
/
accounts
/
{account_id}
/
conversations
List conversations
Authorizations
Path Parameters
Query Parameters
Filter by conversation identifier.
Filter by agent UUID.
Filter by conversation type (phone, web, or test).
Available options:
phone, web, test, unknown Filter by lifecycle status (in_progress, completed, failed, transferred).
Available options:
in_progress, completed, failed, transferred Filter by conversation direction (inbound or outbound).
Available options:
inbound, outbound, internal Return conversations created on/after this timestamp.
Return conversations created before this timestamp.
Return conversations updated on/after this timestamp.
Return conversations updated before this timestamp.
Was this page helpful?